// srvrview.h : interface of the CGIFServerView class
//
/////////////////////////////////////////////////////////////////////////////

class CGIFServerView : public CView
{
protected: // create from serialization only
	CGIFServerView();
	DECLARE_DYNCREATE(CGIFServerView)

// Attributes
public:
	CGIFServerDoc* GetDocument();

// Operations
public:
	void SetScrollInfo();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGIFServerView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual void OnPrepareDC(CDC* pDC, CPrintInfo* pInfo = NULL);
	virtual void OnInitialUpdate();
	protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGIFServerView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CGIFServerView)
	afx_msg void OnCancelEditSrvr();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in srvrview.cpp
inline CGIFServerDoc* CGIFServerView::GetDocument()
   { return (CGIFServerDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////
